Skip to main content
POST
/
api
/
v1
/
linkedin
/
posts
Create Post
curl --request POST \
  --url https://api.example.com/api/v1/linkedin/posts/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form 'text=<string>' \
  --form 'connected_account_id=<string>' \
  --form 'image=<string>' \
  --form image.0='@example-file'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "status": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "connected_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "unipile_post_id": "<string>",
  "social_id": "<string>",
  "text": "<string>",
  "share_url": "<string>",
  "attachments": [],
  "is_repost": false,
  "author_name": "<string>",
  "author_id": "<string>",
  "published_at": "2023-11-07T05:31:56Z",
  "scheduled_at": "2023-11-07T05:31:56Z",
  "retry_count": 0,
  "last_error": "<string>",
  "impressions": 0,
  "reactions": 0,
  "comments": 0,
  "reposts": 0,
  "metrics_updated_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.bavlio.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

multipart/form-data
text
string
required
Required string length: 1 - 3000
connected_account_id
string | null
image
file | null

Response

Successful Response

id
string<uuid>
required
user_id
string<uuid>
required
status
string
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
connected_account_id
string<uuid> | null
unipile_post_id
string | null
social_id
string | null
text
string | null
share_url
string | null
attachments
Attachments · object[]
is_repost
boolean
default:false
author_name
string | null
author_id
string | null
published_at
string<date-time> | null
scheduled_at
string<date-time> | null
retry_count
integer
default:0
last_error
string | null
impressions
integer
default:0
reactions
integer
default:0
comments
integer
default:0
reposts
integer
default:0
metrics_updated_at
string<date-time> | null